## marble 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# Set minimum OS X target
set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(marble VERSION ${RELEASE_SERVICE_VERSION})

####################################################
# CMake Settings
SET(CMAKE_COLOR_MAKEFILE ON)
# SET(CMAKE_SKIP_RPATH ON)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Let CMake find the correct library dir instead of
# relying on the obsolete LIB_SUFFIX parameter
include(GNUInstallDirs)

# Taken from KDECompilerSettings.cmake:
# Pick sensible versions of the C and C++ standards.
# Note that MSVC does not have equivalent flags; the features are either
# supported or they are not.
if ("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
    # We use the C89 standard because that is what is common to all our
    # compilers (in particular, MSVC 2010 does not support C99)
    set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -std=iso9899:1990")
endif()
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel" AND NOT WIN32)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
endif()
# Default to hidden visibility for symbols
set(CMAKE_C_VISIBILITY_PRESET hidden)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

# RPATH/RUNPATH settings
if (UNIX)
    # Add CMAKE_INSTALL_FULL_LIBDIR to the RPATH to be used when installing,
    # but only if it isn't a standard system directory.
    list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_FULL_LIBDIR}" isSystemLibDir)
    list(FIND CMAKE_CXX_IMPLICIT_LINK_DIRECTORIES      "${CMAKE_INSTALL_FULL_LIBDIR}" isSystemCxxLibDir)
    list(FIND CMAKE_C_IMPLICIT_LINK_DIRECTORIES        "${CMAKE_INSTALL_FULL_LIBDIR}" isSystemCLibDir)
    if("${isSystemLibDir}" STREQUAL "-1"  AND  "${isSystemCxxLibDir}" STREQUAL "-1"  AND  "${isSystemCLibDir}" STREQUAL "-1")
        set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}")
    endif()

    # Add directories which are in the linker search path (but outside the project)
    # to the RPATH to be used when installing
    set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
    # no libs or plugins are designed to be used from the build dir, so directly link with install rpath
    set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
endif (UNIX)

####################################################
# Where to look first for cmake modules,
# before ${CMAKE_ROOT}/Modules/ is checked
set ( CMAKE_MODULE_PATH
     ${CMAKE_SOURCE_DIR}/cmake/modules
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}/src
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake_find_rules
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake_scripts
     ${CMAKE_MODULE_PATH}
     )

# add cmake macros
include(GenerateExportHeader)
include( MarbleMacros )

####################################################
# Generate the tiles with the tilecreator at compile time
# if this option is set, srtm.jpg will not be installed but the generated tiles instead
option(MOBILE "Create a Marble version optimized for handheld devices")

####################################################
# Provide opt-in switch for mobile variant, which is not only useful for Android.
option(BUILD_TOUCH "Build touch-friendly Marble version (on Android this option is bypassed)" OFF)

####################################################
# Build a D-Bus interface for the Marble widget
# This is disabled by default for all win32, apple and Android
if(WIN32 OR APPLE OR ANDROID)
    option(BUILD_WITH_DBUS "Build the D-Bus interface for the Marble widget" OFF)
else()
    option(BUILD_WITH_DBUS "Build the D-Bus interface for the Marble widget" ON)
endif()


#######################################################
# Specific options for building for different platforms

if(ANDROID)
   add_definitions(-DANDROID)
endif()


#######################################################
# Find Qt dependencies

find_package(Protobuf)
set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")

if(ANDROID)
    set(REQUIRED_QT_VERSION 5.14.0)
   # TODO: still needed with ECM toolchain?
   SET(QT_QMAKE_EXECUTABLE "$ENV{Qt5_android}/bin/qmake")
else()
    set(REQUIRED_QT_VERSION 5.14.0)
endif()

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED
    COMPONENTS
        Core
        Xml
        Network
        Test
        Widgets
        Svg
        Sql
        Concurrent
        Quick
        PrintSupport
)

if(ANDROID)
    find_package(Qt5Positioning ${REQUIRED_QT_VERSION} REQUIRED)
    find_package(Qt5Multimedia ${REQUIRED_QT_VERSION} REQUIRED)

   set ( MARBLE_NO_WEBKITWIDGETS TRUE )
else()
    find_package(Qt5WebChannel ${REQUIRED_QT_VERSION})
    find_package(Qt5WebEngine ${REQUIRED_QT_VERSION})
    find_package(Qt5WebEngineWidgets ${REQUIRED_QT_VERSION})

   if ( NOT Qt5WebEngineWidgets_FOUND )
     set ( MARBLE_NO_WEBKITWIDGETS TRUE )
   endif()
endif()

if (BUILD_WITH_DBUS)
  find_package(Qt5DBus ${REQUIRED_QT_VERSION})
  if (NOT Qt5DBus_FOUND)
    set(MARBLE_NO_DBUS TRUE)
  endif()
else()
  set(MARBLE_NO_DBUS TRUE)
endif()

SET(CMAKE_AUTOMOC TRUE)

# Use M_PI under Windows
if( WIN32 )
    add_definitions( -D_USE_MATH_DEFINES )
endif( WIN32 )

####################################################
# build unit tests

INCLUDE (CTest)
ENABLE_TESTING()

option( BUILD_MARBLE_TESTS "Build unit tests" ON )
add_feature_info("Unit tests" BUILD_MARBLE_TESTS "Build unit tests. Toggle with BUILD_MARBLE_TESTS=YES/NO. 'make test' will run all.")

if( BUILD_MARBLE_TESTS )
#  SET (TEST_DATA_DIR "${CMAKE_CURRENT_SOURCE_DIR}/src/tests/test_data")
  #where unit test binaries should be installed to and run from
#  SET (MARBLE_TEST_DIR   ${CMAKE_CURRENT_BINARY_DIR}/tests)
endif( BUILD_MARBLE_TESTS )

####################################################
set (PEDANTIC FALSE CACHE BOOL "Determines if we should compile with -Wall -Werror.")
set (WITH_DESIGNER_PLUGIN TRUE CACHE BOOL "Build plugins for Qt Designer")
add_feature_info("Qt Designer plugins" WITH_DESIGNER_PLUGIN "Marble widget support in Qt Designer. Toggle with WITH_DESIGNER_PLUGIN=YES/NO")

set(EXEC_INSTALL_PREFIX  ${CMAKE_INSTALL_PREFIX} CACHE PATH  "Base directory for executables and libraries" FORCE)
if (NOT QT_PLUGINS_DIR)
   set(QT_PLUGINS_DIR ${CMAKE_INSTALL_LIBDIR}/plugins)
endif()

####################################################
# Detect default for the user configurable MARBLE_DATA_PATH option

if(WIN32)
    set(data_dir data)
    set(locale_dir "${data_dir}/locale")
    set(plugin_dir plugins)
elseif(APPLE)
    # needed for finding bundle path in e.g. katlasdir.h
    FIND_LIBRARY(APP_SERVICES_LIBRARY ApplicationServices )
    MARK_AS_ADVANCED (APP_SERVICES_LIBRARY)
    SET(MAC_EXTRA_LIBS ${APP_SERVICES_LIBRARY})
      # for Mac OS X, everything is put inside an application bundle
      SET (CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}/)
      # path for library references
      SET (CMAKE_INSTALL_NAME_DIR @executable_path/lib)
      # install the Info.plist file
      install(FILES src/mac/Info.plist DESTINATION ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents)
      #SET (lib_dir ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/lib)
      SET (data_dir   ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/resources/data)
      set(locale_dir "${data_dir}/locale")
      SET (plugin_dir   ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/resources/plugins)
elseif(ANDROID)
      set(plugin_dir "${CMAKE_INSTALL_PREFIX}/assets/plugins")
      set(data_dir "${CMAKE_INSTALL_PREFIX}/assets/data")
      set(locale_dir "${data_dir}/locale")
else() # Linux / bsd etc...
      set(data_dir ${CMAKE_INSTALL_FULL_DATAROOTDIR}/marble/data)
      set(locale_dir "${CMAKE_INSTALL_FULL_DATAROOTDIR}/locale")
      set(plugin_dir ${CMAKE_INSTALL_FULL_LIBDIR}/marble/plugins)
endif()

if(NOT ICON_INSTALL_DIR)
	set(ICON_INSTALL_DIR share/icons)
endif(NOT ICON_INSTALL_DIR)

if(NOT APPS_INSTALL_DIR)
	set(APPS_INSTALL_DIR share/applications)
endif(NOT APPS_INSTALL_DIR)

if(NOT INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR "include")
endif()

if (NOT MARBLE_DATA_PATH)
  set (MARBLE_DATA_PATH ${data_dir})
endif (NOT MARBLE_DATA_PATH)

if (NOT MARBLE_PLUGIN_PATH)
  set (MARBLE_PLUGIN_PATH ${plugin_dir})
endif (NOT MARBLE_PLUGIN_PATH)

if (NOT MARBLE_DATA_INSTALL_PATH)
  set (MARBLE_DATA_INSTALL_PATH ${MARBLE_DATA_PATH})
endif (NOT MARBLE_DATA_INSTALL_PATH)

if (NOT MARBLE_PLUGIN_INSTALL_PATH)
  set (MARBLE_PLUGIN_INSTALL_PATH ${MARBLE_PLUGIN_PATH})
endif (NOT MARBLE_PLUGIN_INSTALL_PATH)

#MESSAGE( STATUS, "MARBLE_PLUGIN_INSTALL_PATH: ${MARBLE_PLUGIN_INSTALL_PATH}" )

if(WIN32)
  set (STATIC_BUILD FALSE CACHE BOOL "Link to static Qt libs (win32 only)?")
endif(WIN32)

add_definitions(
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050700
)

if (NOT WIN32)
    # Strict iterators can't be used on Windows, they lead to a link error
    # when application code iterates over a QVector<QPoint> for instance
    # See example at https://bugreports.qt.io/browse/QTBUG-78112
    add_definitions(-DQT_STRICT_ITERATORS)
endif()
####################################################
# Options for static build
if(STATIC_BUILD)
  set(BUILD_SHARED_LIBS FALSE)
  add_definitions(-DSTATIC_BUILD=1)
else()
  set(BUILD_SHARED_LIBS TRUE)
endif(STATIC_BUILD)

#############################################################
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc")
    # Its good programming practice to build with no warnings...
    add_definitions( -Wall -Wextra -Wundef -Wnon-virtual-dtor -Woverloaded-virtual -Wno-long-long
                     -Wchar-subscripts -Wcast-align -Wpointer-arith -Wformat-security )

    # In pedantic mode, treat warnings as errors
    if (PEDANTIC)
        add_definitions( -Werror )
    endif (PEDANTIC)
endif (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc")

#############################################################
# Add a compiler def so that we can conditionally compile
# code in debug mode only (e.g. extra console messages)
IF (CMAKE_BUILD_TYPE MATCHES Debug)
    IF(NOT MINGW)
        ADD_DEFINITIONS(-DDEBUG)
    ELSE(NOT MINGW)
        REMOVE_DEFINITIONS( -DQT_NO_DEBUG )
    ENDIF(NOT MINGW)
ENDIF (CMAKE_BUILD_TYPE MATCHES Debug)

####################################################
# on Win32 set the debug postfix
if(WIN32)
  # distinguish between debug and release plugin
  SET(CMAKE_DEBUG_POSTFIX "d")
endif(WIN32)
####################################################


####################################################
# Add global ECM & KF5 settings
set(REQUIRED_ECM_VERSION 1.7.0)
set(KDE_INSTALL_DIRS_NO_DEPRECATED TRUE)
set(KDE_SKIP_UNINSTALL_TARGET ON CACHE BOOL "KDE uninstall target must be disabled")
set(REQUIRED_KF5_MIN_VERSION 5.7.0)

find_package(ECM ${REQUIRED_ECM_VERSION} QUIET)
if(ECM_FOUND)
  set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

  include(KDEInstallDirs)
  # KDECMakeSettings expects LIB_INSTALL_DIR set
  set(LIB_INSTALL_DIR ${KDE_INSTALL_LIBDIR})
  include(KDECMakeSettings)
  include(ECMInstallIcons)
  include(ECMEnableSanitizers)
  include(ECMCoverageOption)
endif()

####################################################
# Add the include directories

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble/projections

=== data/CMakeLists.txt ===
install (FILES
credits_authors.html
credits_data.html
legend.html
legend.css
DESTINATION ${MARBLE_DATA_INSTALL_PATH})

FILE (GLOB LEGEND_FILES *.leg)
install (FILES ${LEGEND_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH})

FILE (GLOB BITMAP_FILES bitmaps/*.png)
install (FILES ${BITMAP_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps)

INSTALL (DIRECTORY svg/osmcarto/svg
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/svg/osmcarto
FILES_MATCHING PATTERN "*.svg"
PATTERN "svgorig" EXCLUDE)

INSTALL (DIRECTORY svg/material svg/thenounproject
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/svg
FILES_MATCHING PATTERN "*.svg")

FILE (GLOB BITMAP_EDITARROW_FILES bitmaps/editarrows/*.png)
install (FILES ${BITMAP_EDITARROW_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps/editarrows)

install (DIRECTORY bitmaps/osmcarto
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps
PATTERN "LICENSE.txt" EXCLUDE)

FILE (GLOB BITMAP_STAR_FILES bitmaps/stars/*.png)
install (FILES ${BITMAP_STAR_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps/stars)

FILE (GLOB BITMAP_FILES bitmaps/*.jpg)
install (FILES ${BITMAP_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps)

install (FILES 
svg/marble-logo.svg
svg/marble-logo.png
svg/marble-logo-32dpi.png
svg/marble-logo-72dpi.png
svg/marble-logo-inverted-32dpi.png
svg/marble-logo-inverted-72dpi.png
svg/application-x-marble.svg
svg/application-x-marble.png
svg/application-x-marble-gray.png
svg/worldmap.svg
svg/lunarmap.svg
svg/marsmap.svg
svg/coordinate.svg
svg/wikipedia.svg
svg/wikipedia_shadow.svg
svg/sunshine.png
svg/sun.png
svg/moon.png
svg/glow.png
svg/track_turtle.svg
svg/bookmark.svg
svg/dot-circle-regular.svg
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/svg)

FILE (GLOB SVG_FILES flags/*.svg)
install (FILES ${SVG_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/flags)

install (FILES
maps/earth/citylights/citylights.jpg
maps/earth/citylights/citylights.dgml
maps/earth/citylights/citylights-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/citylights)

install (FILES
maps/earth/citylights/legend/city.png
maps/earth/citylights/legend/lightterrain.png
maps/earth/citylights/legend/darkterrain.png
maps/earth/citylights/legend/water.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/citylights/legend)

install (FILES
maps/earth/clouds/0/000000/000000_000000.jpg
maps/earth/clouds/0/000000/000000_000001.jpg
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/clouds/0/000000)

install (DIRECTORY maps/earth/srtm DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth)

install (FILES
maps/earth/srtm2/srtm2.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/srtm2)

install (FILES
maps/earth/srtm2/0/000000/000000_000000.png
maps/earth/srtm2/0/000000/000000_000001.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/srtm2/0/000000)

install (FILES
maps/earth/bluemarble/bluemarble.jpg
maps/earth/bluemarble/bluemarble.dgml
maps/earth/bluemarble/bluemarble-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/bluemarble)

install (FILES
maps/earth/bluemarble/legend/ice.png
maps/earth/bluemarble/legend/mountain.png
maps/earth/bluemarble/legend/vegetation.png
maps/earth/bluemarble/legend/desert.png
maps/earth/bluemarble/legend/water.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/bluemarble/legend)

install (FILES
maps/earth/plain/plain.dgml
maps/earth/plain/plain-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/plain)

install (DIRECTORY maps/earth/behaim1492
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth
)

install (DIRECTORY maps/earth/openstreetmap
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth
)

install (FILES
maps/earth/humanitarian/0/0/0.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/humanitarian/0/0)

install (FILES
maps/earth/hillshading/0/0/0.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/hillshading/0/0)

OPTION(EXPERIMENTAL_SENTINEL2_MAP "Install an experimental satellite map theme" ON)
if(EXPERIMENTAL_SENTINEL2_MAP)
    install (DIRECTORY maps/earth/sentinel2 DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth)
endif()

install (DIRECTORY maps/earth/vectorosm DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth)
OPTION(MARBLE_DEV_VECTOR_TILING "Install the development version of OSM vector tiles" OFF)
if(MARBLE_DEV_VECTOR_TILING)
    install (DIRECTORY maps/earth/vectorosm-dev DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth)
endif()

OPTION(MARBLE_EMPTY_MAPTHEME "Install an empty map theme for developmental purposes")
if(MARBLE_EMPTY_MAPTHEME)
    install (DIRECTORY maps/earth/empty DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth)
endif()

install (FILES
maps/earth/temp-july/temp-july.jpg
maps/earth/temp-july/temp-july-preview.png
maps/earth/temp-july/temp-july.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/temp-july)

install (FILES
maps/earth/temp-dec/temp-dec.jpg
maps/earth/temp-dec/temp-dec-preview.png
maps/earth/temp-dec/temp-dec.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/temp-dec)

install (FILES
maps/earth/precip-july/precip-july.jpg
maps/earth/precip-july/precip-july-preview.png
maps/earth/precip-july/precip-july.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/precip-july)

install (FILES
maps/earth/precip-dec/precip-dec.jpg
maps/earth/precip-dec/precip-dec-preview.png
maps/earth/precip-dec/precip-dec.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/precip-dec)

install (FILES
maps/earth/schagen1689/legend.html
maps/earth/schagen1689/schagen1689.jpg
maps/earth/schagen1689/schagen1689.dgml
maps/earth/schagen1689/schagen1689-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/schagen1689)

install (FILES
maps/earth/schagen1689/legend/mountain.png
maps/earth/schagen1689/legend/town.png
maps/earth/schagen1689/legend/river.png
maps/earth/schagen1689/legend/lake.png
maps/earth/schagen1689/legend/schagen_title.png
maps/earth/schagen1689/legend/schagen_orig.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/schagen1689/legend)

install (FILES
maps/earth/political/political-preview.png
maps/earth/political/political.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/political)

install (FILES
maps/moon/clementine/clementine.jpg
maps/moon/clementine/clementine-preview.png
maps/moon/clementine/legend.html 
maps/moon/clementine/clementine.dgml
maps/moon/clementine/tour.kml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/moon/clementine)

FILE (GLOB_RECURSE DGML_FILES maps/*.dgml)
MARBLE_ADD_PROJECT_RESOURCES(${DGML_FILES})

install (FILES
weather/bbc-stations.xml
weather/weather-clear-night.png
weather/weather-clear.png
weather/weather-clouds-night.png
weather/weather-clouds.png
weather/weather-few-clouds-night.png
weather/weather-few-clouds.png
weather/weather-hail.png
weather/weather-many-clouds.png
weather/weather-mist.png
weather/weather-none-available.png
weather/weather-showers-day.png
weather/weather-showers-night.png
weather/weather-showers-scattered-day.png
weather/weather-showers-scattered-night.png
weather/weather-showers-scattered.png
weather/weather-showers.png
weather/weather-snow-rain.png
weather/weather-snow-scattered-day.png
weather/weather-snow-scattered-night.png
weather/weather-snow-scattered.png
weather/weather-snow.png
weather/weather-storm-day.png
weather/weather-storm-night.png
weather/weather-storm.png
weather/wind-arrows.svgz
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/weather)

install (FILES
licenses/lgpl2.txt
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/licenses)

install (FILES
mwdbii/DATELINE.PNT
mwdbii/PCOAST.PNT
mwdbii/PDIFFBORDER.PNT
mwdbii/PGLACIER.PNT
mwdbii/PISLAND.PNT
mwdbii/PLAKEISLAND.PNT
mwdbii/PLAKE.PNT
mwdbii/PUSA48.DIFF.PNT
mwdbii/RIVER.PNT
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/mwdbii)

FILE (GLOB PN2_FILES naturalearth/*.pn2)
install (FILES ${PN2_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/naturalearth)

FILE (GLOB STAR_FILES stars/*.dat)
install (FILES ${STAR_FILES} stars/deepsky.png stars/names.csv
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/stars)

install (FILES
placemarks/elevplacemarks.cache
placemarks/otherplacemarks.cache
placemarks/baseplacemarks.cache
placemarks/moonlandingsites.cache
placemarks/boundaryplacemarks.cache
placemarks/moonterrain.cache
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/placemarks)

if(MOBILE)
    install (FILES placemarks/cityplacemarks_large_population.cache DESTINATION ${MARBLE_DATA_INSTALL_PATH}/placemarks RENAME placemarks/cityplacemarks.cache)
else(MOBILE)
    install (FILES placemarks/cityplacemarks.cache DESTINATION ${MARBLE_DATA_INSTALL_PATH}/placemarks)
endif(MOBILE)

if(NOT APPLE AND NOT WIN32)
  install (FILES icons/128-apps-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/128x128/apps/ RENAME marble.png)
  install (FILES icons/64-apps-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/64x64/apps/ RENAME marble.png)
  install (FILES icons/48-apps-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/48x48/apps/ RENAME marble.png)
  install (FILES icons/32-apps-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/32x32/apps/ RENAME marble.png)
  install (FILES icons/22-apps-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/22x22/apps/ RENAME marble.png)
  install (FILES icons/16-apps-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/16x16/apps/ RENAME marble.png)
endif(NOT APPLE AND NOT WIN32 )

FILE (GLOB AUDIO_FILES audio/*.ogg)
install (FILES
  ${AUDIO_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/audio)

add_subdirectory(lang)

find_package(ECM ${REQUIRED_ECM_VERSION} QUIET) # for FindSharedMimeInfo
if(NOT ECM_FOUND)
    return()
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(KDEInstallDirs) # for KDE_INSTALL_MIMEDIR
set( SHARED_MIME_INFO_MINIMUM_VERSION "1.8" )
find_package( SharedMimeInfo QUIET )
if(SharedMimeInfo_FOUND)
    install(FILES mimetypes/geo.xml  DESTINATION ${KDE_INSTALL_MIMEDIR})
    update_xdg_mimetypes( ${KDE_INSTALL_MIMEDIR} )
endif()

=== tools/kml2cache/CMakeLists.txt ===
SET (TARGET kml2cache)
PROJECT (${TARGET})

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( ${TARGET}_SRC kml2cache.cpp )
add_executable( ${TARGET} ${${TARGET}_SRC} )
target_link_libraries(${TARGET} marblewidget)

=== tools/speaker-files/CMakeLists.txt ===
SET (TARGET speaker-files)
PROJECT (${TARGET})

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( ${TARGET}_SRC main.cpp )
add_executable( ${TARGET} ${${TARGET}_SRC} )

target_link_libraries( ${TARGET} Qt5::Core Qt5::Sql )

=== tools/svg2pnt/CMakeLists.txt ===
SET (TARGET svg2pnt)
PROJECT (${TARGET})

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( ${TARGET}_SRC svg2pnt.cpp svgxmlhandler.cpp )
add_executable( ${TARGET} ${${TARGET}_SRC} )

target_link_libraries( ${TARGET}  Qt5::Core Qt5::Xml )

=== examples/cpp/kml-screenshot/CMakeLists.txt ===
SET (TARGET kml-screenshot)
PROJECT (${TARGET})

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( ${TARGET}_SRC main.cpp)
add_executable( ${TARGET} ${${TARGET}_SRC} )

target_link_libraries(${TARGET} marblewidget)

install( TARGETS ${TARGET} RUNTIME DESTINATION bin )

=== examples/cpp/pie-charts/CMakeLists.txt ===
SET (TARGET pie-charts)
PROJECT (${TARGET})

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( ${TARGET}_SRC main.cpp)
add_executable( ${TARGET} ${${TARGET}_SRC} )

target_link_libraries(${TARGET} marblewidget)

install( TARGETS ${TARGET} RUNTIME DESTINATION bin )

=== src/plugins/runner/gpsbabel/CMakeLists.txt ===
PROJECT( GpsbabelPlugin )

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( gpsbabel_SRCS GpsbabelPlugin.cpp GpsbabelRunner.cpp )

marble_add_plugin( GpsbabelPlugin ${gpsbabel_SRCS} )

=== src/plugins/runner/mapquest/CMakeLists.txt ===
PROJECT( MapQuestPlugin )

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( mapquest_SRCS MapQuestRunner.cpp MapQuestPlugin.cpp )

set( mapquest_UI MapQuestConfigWidget.ui )

qt_wrap_ui( mapquest_SRCS ${mapquest_UI} )

marble_add_plugin( MapQuestPlugin ${mapquest_SRCS} )

=== src/plugins/runner/nominatim-reversegeocoding/CMakeLists.txt ===
PROJECT( NominatimReverseGeocodingPlugin )

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( nominatim_SRCS OsmNominatimReverseGeocodingRunner.cpp NominatimReverseGeocodingPlugin.cpp )

marble_add_plugin( NominatimReverseGeocodingPlugin ${nominatim_SRCS} )

=== debian/changelog ===
marble (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:05 +0100

marble (4:22.12.2-1) unstable; urgency=medium

  * New upstream release 
  * Reenabled dh_dwz
  * Source-only upload
  * Added correct upstream signing key

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 04 Feb 2023 17:55:04 +0100

marble (4:22.12.1-1) unstable; urgency=medium

  * New upstream release
  * Marked libmarble-dev as Multi-Arch: same

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 07 Jan 2023 19:59:19 +0100

marble (4:22.12.0-2) unstable; urgency=medium

  * Team upload.
  * Add the qtwebengine5-dev dependency in libmarble-dev on architectures where
    QtWebEngine is used, as the CMake config files of Marble require
    QtWebEngine in that case (Closes: #1026814)
    - drop qtwebengine5-dev from the dependencies of the 'acc' autopkgtest,
      now it is properly installed
  * Remove an obsolete maintscript entry.
  * Update standards version to 4.6.2, no changes needed.
  * Remove inactive Uploaders.
  * Drop unused debian/marble-data.qml-ignore file.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Dec 2022 10:23:12 +0100

marble (4:22.12.0-1) unstable; urgency=medium

  * New upstream release
  * Source-only upload

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Fri, 16 Dec 2022 17:06:14 +0100

marble (4:22.08.3-4) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Only depend on QtWebEngine for the archs with QtWebEngine for autopkgtests.
  * Update symbols from buildds for 4:22.08.3.
  * Update QML runtime deps for marble-maps and plasma-marble (Closes: #806189)

 -- Sandro Knauß <hefee@debian.org>  Sat, 10 Dec 2022 14:22:35 +0100

marble (4:22.08.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Fix "qtwebengine5-dev build dependency restriction does not work"
    Remkove all from B-D restrictions ( no need for QtWebEngine for all
    packages) (Closes: #1025711)
  * Fix "autopkgtest regression in 22.08.3-{1,2}" add QtWebengine as
    Dependency for the autopkgtest. (Closes: #1025712)

 -- Sandro Knauß <hefee@debian.org>  Thu, 08 Dec 2022 13:49:15 +0100

marble (4:22.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Remove Norbert Preining from Uploaders.
  * Only build with QtWebEngine where it is available.
  * Update symbols for s390x.

 -- Sandro Knauß <hefee@debian.org>  Wed, 07 Dec 2022 16:46:51 +0100

marble (4:22.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release (21.12.3)
  * CI: enable blhc, as it should work fine now.
  * Update install files. (Closes: #1005652)
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.10

  [ Matthias Geiger ]
  * New upstream release (22.08.3)
  * Added myself to uploaders
  * Update build-dependencies:
    - bump cmake to 3.16
    - bump minimum QT version to 5.14
    - bump pkg-kde-tools to 0.15
    - bump libgps-dev to 3.22 (Closes: #995137)
  * Bump Standards-Version to 4.6.1
  * Added new build-dependencies:
    - qtwebengine5-dev
    - libqt5webchannel5-dev
  * Amended libmarblewidget-qt5-28.install
  * Mark libastro-dev as multi-arch: same
  * Override dh_dwz in d/rules to allow building
  * Added hardening flags in d/rules
  * Enabled (experimental) vector tiling in d/rules (Closes: #817825)
  * Added lintian overrides:
    - marble: no-manual-page, desktop-entry-lacks-keyword-entry
    - marble-maps: no-manual-page, desktop-entry-lacks-keyword-entry
    - marble-qt: no-manual-page, desktop-entry-lacks-keyword-entry
    - marble-qt-data: package-contains-documentation-outside-usr-share-doc
  * Removed marble-data.lintian-overrides
  * Updated upstream/metadata
  * Added *.appdata.xml to d/copyright
  * Moved license blocks to the end for better readability in
    d/copyright
  * Added proper CC-BY-3.0 license
  * Deleted nonexistent entries form d/copyright
  * Generated new symbols for libmarblewidget-qt5-28-dev

 -- Sandro Knauß <hefee@debian.org>  Tue, 06 Dec 2022 16:48:13 +0100

=== debian/control ===
Source: marble
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <matthias.geiger1024@tutanota.de>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.7.0~),
               gettext,
               libgps-dev (>= 3.22),
               libkf5coreaddons-dev (>= 5.7.0~),
               libkf5crash-dev (>= 5.7.0~),
               libkf5doctools-dev (>= 5.7.0~),
               libkf5i18n-dev (>= 5.7.0~),
               libkf5kio-dev (>= 5.7.0~),
               libkf5newstuff-dev (>= 5.7.0~),
               libkf5parts-dev (>= 5.7.0~),
               libkf5plasma-dev (>= 5.7.0~),
               libkf5runner-dev (>= 5.7.0~),
               libkf5wallet-dev (>= 5.7.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libprotobuf-dev,
               libqt5opengl5-dev,
               libqt5serialport5-dev,
               libqt5svg5-dev (>= 5.14.0~),
               libqt5webchannel5-dev (>= 5.14.0~),
               libqt5webkit5-dev (>= 5.14.0~),
               libshp-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15),
               protobuf-compiler,
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qtlocation5-dev (>= 5.14.0~),
               qtmultimedia5-dev (>= 5.14.0~),
               qtpositioning5-dev (>= 5.14.0~),
               qtquickcontrols2-5-dev (>= 5.14.0~),
               qttools5-dev (>= 5.14.0~),
               qtwebengine5-dev (>= 5.14.0~) [amd64 arm64 armhf i386 mips64el mipsel],
               shared-mime-info,
               zlib1g-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://marble.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/marble
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/marble.git

Package: libastro-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libastro1 (= ${binary:Version}), ${misc:Depends},
Description: development files for the Marble astrononmy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble astronomy library
 .
 This package is part of the KDE education module.

Package: libastro1
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Marble astronomy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for astronomy support in marble.
 .
 This package is part of the KDE education module.

Package: libmarble-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libastro-dev (= ${binary:Version}),
         libmarblewidget-qt5-28 (= ${binary:Version}),
         libqt5svg5-dev (>= 5.14.0~),
         libqt5webkit5-dev (>= 5.4),
         qtdeclarative5-dev (>= 5.14.0~),
         qtwebengine5-dev (>= 5.14.0~) [amd64 arm64 armhf i386 mips64el mipsel],
         ${misc:Depends},
         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-28},
         ${shlibs:Depends},
Description: development files for the Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble globe widget library.
 .
 This package is part of the KDE education module.

Package: libmarblewidget-qt5-28
Architecture: any
Section: libs
Multi-Arch: same
Depends: marble-qt-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: marble-plugins (= ${binary:Version}),
Description: Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for the Marble globe widget.
 .
 This package is part of the KDE education module.

Package: marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: gosmore, monav-routing-daemon, routino,
Replaces: marble-data (<< 4:17.08.1),
Breaks: marble-data (<< 4:17.08.1),
Description: globe and map widget
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-data
Architecture: all
Section: misc
Multi-Arch: foreign
Depends: marble-qt-data (= ${source:Version}), ${misc:Depends},
Description: data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: marble-maps
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: gosmore, monav-routing-daemon, routino,
Description: globe and map widget for mobile form factors
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-plugins
Architecture: any
Section: misc
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: plugins for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains various plugins for the Marble desktop globe. The Marble
 globe widget library may not be of much use if this package is not installed.
 .
 This package is part of the KDE education module.

Package: marble-qt
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: globe and map widget (no KDE dependencies)
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-qt-data
Architecture: all
Section: misc
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: marble-data (<< 4:17.08.3-3~),
Replaces: marble-data (<< 4:17.08.3-3~),
Description: Qt-only data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: plasma-marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         plasma-framework,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: marble (<< 4:17.08.3-3~), marble-data (<< 4:17.08.3-3~),
Replaces: marble (<< 4:17.08.3-3~), marble-data (<< 4:17.08.3-3~),
Description: Plasma integration for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the Marble integration with Plasma:
  * the Plasma runner
  * the World Clock widget
  * the Plasma wallpaper
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f


export DEB_BUILD_MAINT_OPTIONS=hardening=+all
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  QMAKE = qmake
else
  QMAKE = $(DEB_HOST_GNU_TYPE)-qmake
endif

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DWITH_DESIGNER_PLUGIN=ON \
				 -DWITH_KF5=TRUE \
				 -DMARBLE_INSTALL_ANDROID_APPS=ON \
				 -DQT_PLUGINS_DIR="$(shell $(QMAKE) -qt=5 -query QT_INSTALL_PLUGINS)" \
				 -DBUILD_TOUCH=ON \
				 -DBUILD_MARBLE_TESTS=FALSE \
				 -DEXPERIMENTAL_VECTOR_TILING=ON \
				 $(conf_args)

execute_after_dh_auto_install:
	# remove extra license files
	rm -f debian/tmp/usr/share/marble/data/LICENSE.txt
	rm -rf debian/tmp/usr/share/marble/data/licenses/

override_dh_auto_test:
	# Disable the auto tests at build time
	:

override_dh_clean:
	dh_clean -Xdata/mwdbii/PISLAND.PNT.orig -Xdata/mwdbii/PLAKE.PNT.orig

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_sameversiondep -a
	dh_gencontrol -a

## marble 23.07.90

=== debian/changelog ===
marble (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * Update symbols.
  * Update lintian overrides.
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:41:03 +0100

marble (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:57:21 +0100

marble (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update installed files
  * New upstream release (23.04.2)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:02:54 +0100

marble (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:45:54 +0000

marble (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:29:33 -0600

marble (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:21:26 +0000

marble (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Disable acc test.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 12:49:49 +0000

marble (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:17:45 +0000

marble (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:13:54 +0000

marble (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:56:09 +0000

marble (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:16:39 +0000

## marble 23.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(marble VERSION ${RELEASE_SERVICE_VERSION})
@@ -32,9 +32,9 @@
     set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -std=iso9899:1990")
 endif()
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
 elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel" AND NOT WIN32)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
 endif()
 # Default to hidden visibility for symbols
 set(CMAKE_C_VISIBILITY_PRESET hidden)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -131,7 +131,7 @@
 maps/earth/hillshading/0/0/0.png
 DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/hillshading/0/0)
 
-OPTION(EXPERIMENTAL_SENTINEL2_MAP "Install an experimental satellite map theme" ON)
+OPTION(EXPERIMENTAL_SENTINEL2_MAP "Install an experimental satellite map theme" OFF)
 if(EXPERIMENTAL_SENTINEL2_MAP)
     install (DIRECTORY maps/earth/sentinel2 DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth)
 endif()

## marble 23.08.1

=== debian/changelog ===
marble (4:23.08.1-1) unstable; urgency=medium

  * New upstream release. 
  * Updated libmarblewidget-qt5-28.install for new version.
  * Drop marble.knsrc from marble-data.install
  * Updated libmarblewidget-qt5-28.symbols for new symbols

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Fri, 06 Oct 2023 16:48:13 +0200

marble (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Trim trailing whitespace.
  * Remove an obsolete maintscript entry.
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Mon, 17 Jul 2023 07:28:54 +0200

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                qtpositioning5-dev (>= 5.14.0~),
                qtquickcontrols2-5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.14.0~),
-               qtwebengine5-dev (>= 5.14.0~) [amd64 arm64 armhf i386 mips64el mipsel],
+               qtwebengine5-dev (>= 5.14.0~) [amd64 arm64 armhf i386 mips64el],
                shared-mime-info,
                zlib1g-dev,
 Standards-Version: 4.6.2
@@ -87,7 +87,7 @@
          libqt5svg5-dev (>= 5.14.0~),
          libqt5webkit5-dev (>= 5.4),
          qtdeclarative5-dev (>= 5.14.0~),
-         qtwebengine5-dev (>= 5.14.0~) [amd64 arm64 armhf i386 mips64el mipsel],
+         qtwebengine5-dev (>= 5.14.0~) [amd64 arm64 armhf i386 mips64el],
          ${misc:Depends},
          ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-28},
          ${shlibs:Depends},

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/Attic/release-service/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz
